<script setup lang="ts">
    interface Props {
        fluid?: boolean
        cappedBottom?: boolean
    }
    withDefaults(defineProps<Props>(), {
        fluid: false,
        cappedBottom: false,
    })
</script>
<template>
    <v-container
        id="container"
        :fluid="fluid"
        :class="{ padded: !fluid, cappedBottom }"
        style="position: relative"
    >
        <slot></slot>
    </v-container>
</template>
<style scoped>
    .padded {
        max-width: 1200px;
    }

    @media print {
        .padded {
            max-width: none;
        }
    }

    .cappedBottom {
        height: calc(100vh - 64px);
    }
</style>
